image:
  file: .gitpod.dockerfile
# List the start up tasks. Learn more https://www.gitpod.io/docs/config-start-tasks/
tasks:
  - init: |
      echo '👋 init script' # runs during prebuild
    command: |

      echo '👋 start script'
      # Install GitLab runner
      curl -LJO "https://gitlab-runner-downloads.s3.amazonaws.com/latest/deb/gitlab-runner_amd64.deb"
      sudo dpkg -i gitlab-runner_amd64.deb
      # Install NodeJS dependencies
      npm install
      # Remove existing runners
      node remove.one.runner.js
      # Register a new runner
      ./register.sh

ports:
  - port: 8080
    visibility: public
  - port: 80
    visibility: public
  - port: 3000
    visibility: public

vscode:
  extensions:
    - golang.go
    - wayou.vscode-todo-highlight
    - coenraads.bracket-pair-colorizer
    - pkief.material-icon-theme
    - rust-lang.rust
    - bungcip.better-toml
